Bug 85651 - Unintuitive configuring of profiles
Unintuitive configuring of profiles
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 110838 112793 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 11:09 EST by Mikael Carneholm
Modified: 2007-04-18 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:42:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2003-03-05 11:09:43 EST
Description of Problem:
It's not intuitive to configure different network device profiles. From an
intuitive point of view, it should be enough to edit & save the configuration of
a device *with a certain profile selected* to create a certain configuration.

Nicknames as eth0_foo are logically confusing - because, if I (as a user) have
selected ProfileFoo from the Profile menu, I expect that all changes in
configuration are related to ProfileFoo - "why is the option to select which
profile you are working with there, anyway?".

Steps to reproduce the problem:
Not applicable.

Actual Results:
Confusion when configuring profiles.

Expected Results:
"Oh, how easy and intuitive it is to configure network device profiles that I
can use when taking my laptop with me traveling!"

How often does this happen?
Always.

Additional Information:
Looking in /etc/sysconfig/networking/profiles, I notice that f.eg. the config
for eth0 for profile "Away" is stored as ifcfg-eth0_travel (eth0_travel was the
nickname I assigned). Shouldn't ifcfg-eth0_Away do as file name, and thus make
nicknames unnecessary? (Why does it have to have a unique file name anyway, the
"hosts" file and "resolv.conf" files don't have _nickname added and the
directory named after the profile itself should be enough as I suppose that
profile names have to be unique as well..)
Comment 1 Harald Hoyer 2005-09-16 09:45:10 EDT
*** Bug 112793 has been marked as a duplicate of this bug. ***
Comment 2 Harald Hoyer 2005-09-16 09:45:52 EDT
*** Bug 110838 has been marked as a duplicate of this bug. ***
Comment 3 David Lawrence 2006-04-24 15:16:14 EDT
Adding to blocker bug 185486 and to IBM confidential group.
Comment 4 David Lawrence 2006-04-24 15:30:32 EDT
OOps. Sorry for the mistake. I searched by the wrong list and mistakenly made
these changes. Sorry for the spam. Removing from blocker bug 185486 and to IBM
confidential group.
Comment 5 David Lawrence 2006-04-24 15:47:06 EDT
The last changes to these bugs were mistakenly made. Removing incorrect blocker
bug and confidential group.
Comment 6 Bill Nottingham 2006-08-04 23:51:25 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 13:42:17 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.